﻿<%@ Page Language="C#" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
	<style>
		html, body, form
		{
			height: 100%;
			margin: 0;
			padding: 0;
		}

		.chartContainer
		{
			width: 50%;
			height: 50%;
			border: 2px solid red;
		}
	</style>
</head>
<body>
	<form id="form1" runat="server">
		<asp:ScriptManager ID="Scriptmanager1" runat="server" />
		<div class="chartContainer">
			<telerik:RadHtmlChart runat="server" ID="RadHtmlChart1" Width="100%" Height="100%">
				<PlotArea>
					<Series>
						<telerik:AreaSeries>
							<SeriesItems>
								<telerik:CategorySeriesItem Y="1" />
								<telerik:CategorySeriesItem Y="2" />
								<telerik:CategorySeriesItem Y="4" />
								<telerik:CategorySeriesItem Y="3" />
							</SeriesItems>
						</telerik:AreaSeries>
					</Series>
				</PlotArea>
			</telerik:RadHtmlChart>
			<script>
				function resizeChart() {
					//repaint the chart - will play animations
					//$find("<%=RadHtmlChart1.ClientID%>").repaint();
						//only resizes the chart - will not play animations
						$find("<%=RadHtmlChart1.ClientID%>").get_kendoWidget().resize();
					}

					var TO = false;

					$telerik.$(window).resize(function () {
						if (TO !== false)
							clearTimeout(TO);
						TO = setTimeout(resizeChart, 200); //200 is time in miliseconds
					});
			</script>
		</div>
	</form>
</body>
</html>
